<?php

namespace Database\Seeders;

use App\Models\Status;
use Illuminate\Database\Seeder;

class StatusSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $other_statuses = [
            'waiting_buyer',
            'in_way',
            'payed',
            'review',
            'cash',
            'waiting',
            'collected',
            'replacement',
            'published'
        ];

        Status::create([
            'slug' => 'new',
            'font_color' => '#000000',
            'bg_color' => '#33d12e',
        ]);
        Status::create([
            'slug' => 'soon',
            'font_color' => '#000000',
            'bg_color' => '#33d12e',
        ]);
        Status::create([
            'slug' => 'approved',
            'font_color' => '#000000',
            'bg_color' => '#33d12e',
        ]);
        Status::create([
            'slug' => 'completed',
            'font_color' => '#000000',
            'bg_color' => '#33d12e',
        ]);
        Status::create([
            'slug' => 'closed',
            'font_color' => '#000000',
            'bg_color' => '#e1e1e1',
        ]);
        Status::create([
            'slug' => 'cancelled',
            'font_color' => '#000000',
            'bg_color' => '#f75935',
        ]);
        Status::create([
            'slug' => 'refused',
            'font_color' => '#000000',
            'bg_color' => '#f75935',
        ]);
        Status::create([
            'slug' => 'pending',
            'font_color' => '#000000',
            'bg_color' => '#f75935',
        ]);
        Status::create([
            'slug' => 'processing',
            'font_color' => '#000000',
            'bg_color' => '#f75935',
        ]);

        foreach ($other_statuses as $status) {
            Status::create([
                'slug' => $status,
                'font_color' => '#000000',
                'bg_color' => '#f75935',
            ]);
        }
    }
}
